<div class="container">
  <div class="row" style="background-color: burlywood;color: brown;">
    <div class="col-3" style="border-right: 5px solid brown;">
        <h3>To-DO ({{todo_task_list?.length}})</h3>
    </div>
    <div class="col-3" style="border-right: 5px solid brown;">
        <h3>Dev-In-Progess ({{dev_task_list?.length}})</h3>
    </div>
    <div class="col-3" style="border-right: 5px solid brown;">
        <h3>Test-In-Progess ({{test_task_list?.length}})</h3>
    </div>
    <div class="col-3" style="border-right: 5px solid brown;">
        <h3>Done ({{done_task_list?.length}})</h3>
    </div>
</div>
<div class="row">
    <div class="col-3" style="height: 90vh;background-color: bisque; overflow:auto;">
        <!-- card starts here -->
      <div class="row" *ngFor="let x of todo_task_list" style="overflow: auto;" data-toggle="modal" data-target="#myModal" (click)="edittaskDetails(x)" >
        <div class="col-12">
          <div style="background-color:cadetblue; width: 80%;cursor: pointer;margin: 30px;height: 20vh;padding-left: 20px;border-radius: 20px;box-shadow: 8px 5px 3px black;">
           <h6>{{x.id}}-{{x.task_title|titlecase|reduceText}}</h6>  
           <hr>
           <p>
            {{x.task_desc|titlecase|reduceText}}
           </p>
          </div>
        </div>
      </div>
        <!-- card ends here -->
    </div>
    <div class="col-3" style="height: 90vh;background-color: lightskyblue;overflow: auto;" >
       <!-- card starts here -->
       <div class="row" *ngFor="let x of dev_task_list" style="overflow: auto;" data-toggle="modal" data-target="#myModal"  (click)="edittaskDetails(x)">
        <div class="col-12">
          <div style="background-color:lightcoral; width: 80%;cursor: pointer;margin: 30px;height: 20vh;padding-left: 20px;border-radius: 20px;box-shadow: 8px 5px 3px black ;">
           <h6>{{x.id}}-{{x.task_title|titlecase|reduceText}}</h6>  
           <hr>
           <p>
            {{x.task_desc|titlecase|reduceText}}
           </p>
          </div>
        </div>
      </div>
        <!-- card ends here -->
    </div>
    <div class="col-3" style="height: 90vh;background-color: lightcoral;">
       <!-- card starts here -->
       <div class="row" *ngFor="let x of test_task_list" style="overflow: auto;" data-toggle="modal" data-target="#myModal"  (click)="edittaskDetails(x)">
        <div class="col-12">
          <div style="background-color:lightblue; width: 80%;cursor: pointer;margin: 30px;height: 20vh;padding-left: 20px;border-radius: 20px;box-shadow: 8px 5px 3px black ;">
           <h6>{{x.id}}-{{x.task_title|titlecase|reduceText}}</h6>  
           <hr>
           <p>
            {{x.task_desc|titlecase|reduceText}}
           </p>
          </div>
        </div>
      </div>
        <!-- card ends here -->
    </div>
    <div class="col-3" style="height: 90vh;background-color: lightgreen;">
          <!-- card starts here -->
       <div class="row" *ngFor="let x of done_task_list" style="overflow: auto;" data-toggle="modal" data-target="#myModal"  (click)="edittaskDetails(x)">
        <div class="col-12">
          <div style="background-color:lightsalmon; width:80% ;cursor: pointer;margin: 30px;height: 20vh;padding-left: 20px;border-radius: 20px;box-shadow: 8px 5px 3px black ;">
            <del><h6>{{x.id}}-{{x.task_title|titlecase}}</h6> </del>
           <hr>
           <p>
           {{x.task_desc|titlecase|reduceText}}
           </p>
          </div> 
        </div>
      </div>
        <!-- card ends here -->
    </div>
</div>

<div class="row">
  <div class="col-12">
    
<!-- The Modal -->
<div class="modal" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content" style="margin-left: -50px; width: 150%;">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">{{txt_id}} - {{txt_title|titlecase}}</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
       
        <table border="1" class="table">
          <tr>
            <th>Description</th>
            <th>
              <textarea rows="{{txt_desc?.length/15}}" class="form-control" name="txt_desc"  [(ngModel)]="txt_desc"></textarea>
            </th>
            
          </tr>
          <tr>
            <th>Status</th>
            <th>
              <select class="form-control" name="ddl_status" [(ngModel)]="ddl_status">
                <option>To-DO</option>
                <option>Dev-in-Progress</option>
                <option>Test-in-Progress</option>
                <option>Done</option>
                <option>Rejected</option>
            </select>
            </th>
            
          </tr>
          <tr>
            <th colspan="2" style="text-align: center;">
              <button class="btn btn-warning" data-dismiss="modal" (click)="updatetaskdetails(txt_desc,ddl_status)">Update</button>
            </th>
          </tr>
        </table>
        
      </div>

      <!-- Modal footer -->
      <!-- <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
      </div> -->

    </div>
  </div>
</div>
  </div>
</div>
</div>